aboutsummaryrefslogtreecommitdiffstats
path: root/coin/pre-provisioning
diff options
context:
space:
mode:
Diffstat (limited to 'coin/pre-provisioning')
-rwxr-xr-xcoin/pre-provisioning/qtci-linux-RHEL-9.0-x86_64/01-disable-automounting.sh51
-rw-r--r--coin/pre-provisioning/qtci-linux-RHEL-9.0-x86_64/README_MANUAL_INSTALLATIONS9
2 files changed, 60 insertions, 0 deletions
diff --git a/coin/pre-provisioning/qtci-linux-RHEL-9.0-x86_64/01-disable-automounting.sh b/coin/pre-provisioning/qtci-linux-RHEL-9.0-x86_64/01-disable-automounting.sh
new file mode 100755
index 00000000..496aec53
--- /dev/null
+++ b/coin/pre-provisioning/qtci-linux-RHEL-9.0-x86_64/01-disable-automounting.sh
@@ -0,0 +1,51 @@
+#!/usr/bin/env bash
+
+#############################################################################
+##
+## Copyright (C) 2021 The Qt Company Ltd.
+## Contact: https://www.qt.io/licensing/
+##
+## This file is part of the provisioning scripts of the Qt Toolkit.
+##
+## $QT_BEGIN_LICENSE:LGPL$
+## Commercial License Usage
+## Licensees holding valid commercial Qt licenses may use this file in
+## accordance with the commercial license agreement provided with the
+## Software or, alternatively, in accordance with the terms contained in
+## a written agreement between you and The Qt Company. For licensing terms
+## and conditions see https://www.qt.io/terms-conditions. For further
+## information use the contact form at https://www.qt.io/contact-us.
+##
+## GNU Lesser General Public License Usage
+## Alternatively, this file may be used under the terms of the GNU Lesser
+## General Public License version 3 as published by the Free Software
+## Foundation and appearing in the file LICENSE.LGPL3 included in the
+## packaging of this file. Please review the following information to
+## ensure the GNU Lesser General Public License version 3 requirements
+## will be met: https://www.gnu.org/licenses/lgpl-3.0.html.
+##
+## GNU General Public License Usage
+## Alternatively, this file may be used under the terms of the GNU
+## General Public License version 2.0 or (at your option) the GNU General
+## Public license version 3 or any later version approved by the KDE Free
+## Qt Foundation. The licenses are as published by the Free Software
+## Foundation and appearing in the file LICENSE.GPL2 and LICENSE.GPL3
+## included in the packaging of this file. Please review the following
+## information to ensure the GNU General Public License requirements will
+## be met: https://www.gnu.org/licenses/gpl-2.0.html and
+## https://www.gnu.org/licenses/gpl-3.0.html.
+##
+## $QT_END_LICENSE$
+##
+#############################################################################
+
+set -ex
+
+sudo tee -a /etc/dconf/db/local.d/00-media-automount <<"EOF"
+[org/gnome/desktop/media-handling]
+automount=false
+automount-open=false
+EOF
+
+sudo dconf update
+
diff --git a/coin/pre-provisioning/qtci-linux-RHEL-9.0-x86_64/README_MANUAL_INSTALLATIONS b/coin/pre-provisioning/qtci-linux-RHEL-9.0-x86_64/README_MANUAL_INSTALLATIONS
index d59d8b75..e69c11da 100644
--- a/coin/pre-provisioning/qtci-linux-RHEL-9.0-x86_64/README_MANUAL_INSTALLATIONS
+++ b/coin/pre-provisioning/qtci-linux-RHEL-9.0-x86_64/README_MANUAL_INSTALLATIONS
@@ -17,6 +17,9 @@ Reboot
# Configure Settings
Notifications:
* Lock Screen Notifications: OFF
+ * Applications: Set notificantion off
+ Applications:
+ * Disable notifications from all applications
Privacy:
* Blank Screen Delay: Never
* Screen Lock: OFF
@@ -46,4 +49,10 @@ Download http://coin/coin/binary/linux_amd64/coin-setup
# run as qt user
run './coin-setup'
+# Switch to use GNOME Classic user interface
+# GNOME Classic was selected because there's an issue with Starndard (wayland display server). Autotest start failing because terminal session remains in Activities Overview.
+# https://gitlab.gnome.org/GNOME/gnome-shell/-/issues/3854
+First execute script ./01-disable-automounting.sh (dconf update crash in GNOME Classic)
+logout -> Select user (without it the drop down menu won't appear) -> switch to 'GNOME Classic' from drop down menu in login screen
+
Reboot